%define anolis_release 2

Name:		spice-vdagent
Version:	0.22.1
Release:	%{anolis_release}%{?dist}
Summary:	Agent for Spice guests

License:	GPLv3+
URL:		https://spice-space.org/
Source0:	https://spice-space.org/download/releases/%{name}-%{version}.tar.bz2

BuildRequires: make
BuildRequires: pkgconfig(alsa) >= 1.0.22
BuildRequires: pkgconfig(dbus-1)
BuildRequires: pkgconfig(gio-unix-2.0) >= 2.50
BuildRequires: pkgconfig(glib-2.0) >= 2.68
BuildRequires: pkgconfig(gtk4) >= 3.98
BuildRequires: pkgconfig(libdrm)
BuildRequires: pkgconfig(libsystemd) >= 209
BuildRequires: pkgconfig(pciaccess) >= 0.10
BuildRequires: pkgconfig(spice-protocol) >= 0.14.3
BuildRequires: pkgconfig(systemd)
BuildRequires: pkgconfig(udev)
BuildRequires: pkgconfig(wayland-client)
BuildRequires: pkgconfig(x11)
BuildRequires: pkgconfig(xfixes)
BuildRequires: pkgconfig(xinerama)
BuildRequires: pkgconfig(xrandr) >= 1.3
%{?systemd_requires}

%description
Spice agent for Linux guests offering the following features:
 
Features:
* Client mouse mode (no need to grab mouse by client, no mouse lag)
  this is handled by the daemon by feeding mouse events into the kernel
  via uinput. This will only work if the active X-session is running a
  spice-vdagent process so that its resolution can be determined.
* Automatic adjustment of the X-session resolution to the client resolution
* Support of copy and paste (text and images) between the active X-session
  and the client

%prep
%autosetup -n %{name}-%{version} -p1

%build
%configure  \
        --with-gtk4=yes \
	--with-session-info=systemd \
	--with-init-script=systemd
%make_build

%install
%make_install

%post
%systemd_post spice-vdagentd.service spice-vdagentd.socket
 
%preun
%systemd_preun spice-vdagentd.service spice-vdagentd.socket
 
%postun
%systemd_postun_with_restart spice-vdagentd.service spice-vdagentd.socket

%files
%license COPYING
%doc CHANGELOG.md README.md
%{_udevrulesdir}/70-spice-vdagentd.rules
%{_unitdir}/spice-vdagentd.service
%{_unitdir}/spice-vdagentd.socket
%{_prefix}/lib/tmpfiles.d/spice-vdagentd.conf
%{_userunitdir}/spice-vdagent.service
%{_bindir}/spice-vdagent
%{_sbindir}/spice-vdagentd
%{_var}/run/spice-vdagentd
%{_sysconfdir}/xdg/autostart/spice-vdagent.desktop
# For /usr/share/gdm/autostart/LoginWindow/spice-vdagent.desktop
# We own the dir too, otherwise we must Require gdm
%{_datadir}/gdm
%{_mandir}/man1/%{name}*.1*

%changelog
* Mon Apr 03 2023 Funda Wang <fundawang@yeah.net> - 0.22.1-2
- Build gtk4 flavour

* Mon Apr 18 2022 happy_orange <songnannan@linux.alibaba.com> - 0.22.1-1
- Init package from upstream
